// generated from rosidl_generator_c/resource/idl__struct.h.em
// with input from automotive_navigation_msgs:msg/PointOfInterest.idl
// generated code does not contain a copyright notice

#ifndef AUTOMOTIVE_NAVIGATION_MSGS__MSG__DETAIL__POINT_OF_INTEREST__STRUCT_H_
#define AUTOMOTIVE_NAVIGATION_MSGS__MSG__DETAIL__POINT_OF_INTEREST__STRUCT_H_

#ifdef __cplusplus
extern "C"
{
#endif

#include <stdbool.h>
#include <stddef.h>
#include <stdint.h>


// Constants defined in the message

// Include directives for member types
// Member 'params'
#include "rosidl_runtime_c/string.h"

/// Struct defined in msg/PointOfInterest in the package automotive_navigation_msgs.
/**
  * Point of Interest Message
  * Contains the guid, latitude, longitude, and other information for a point of interest
 */
typedef struct automotive_navigation_msgs__msg__PointOfInterest
{
  /// Unique Id for this point
  uint64_t guid;
  /// Latitude (degrees)
  double latitude;
  /// Longitude (degrees)
  double longitude;
  /// List of parameter:value pairs
  rosidl_runtime_c__String params;
} automotive_navigation_msgs__msg__PointOfInterest;

// Struct for a sequence of automotive_navigation_msgs__msg__PointOfInterest.
typedef struct automotive_navigation_msgs__msg__PointOfInterest__Sequence
{
  automotive_navigation_msgs__msg__PointOfInterest * data;
  /// The number of valid items in data
  size_t size;
  /// The number of allocated items in data
  size_t capacity;
} automotive_navigation_msgs__msg__PointOfInterest__Sequence;

#ifdef __cplusplus
}
#endif

#endif  // AUTOMOTIVE_NAVIGATION_MSGS__MSG__DETAIL__POINT_OF_INTEREST__STRUCT_H_
